Subject: Re: git-p4import.py robustness changes

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 4 Jun 2007 01:56:00 -0400

Simon Hausmann <[email-masked]> wrote:
> On the topic of git integration with perforce, what are the chances of getting 
> git-p4 ( http://repo.or.cz/w/fast-export.git ) into git's contrib/fast-export 
> area? :)
> 
> git-p4 can do everything git-p4import can do plus a lot more (it can track 
> multiple branches, it's a hell of a lot faster, it can export back to p4 and 
> it also works on Windows!).

I was sort of hoping we could fold the fast-export Git repository
on repo.or.cz into core Git at some point.  Right now the only
thing in contrib/fast-export is the import-tars.perl script that
I maintain in my fastimport repository...  ;-)

Like Junio I don't use Perforce, and can't test against it, but
if you can maintain git-p4 (and I think the history on repo.or.cz
shows that you do) then it may be a good idea to add it to core Git.

Send a patch to add it.  Worst that happens is both Junio and I
decide not to apply it.  Or I apply it, but Junio refuses to pull
from me afterwards.  ;-)

-- 
Shawn.